org.eclipse.jetty.security.jaspi.callback

## Class CredentialValidationCallback

- java.lang.Object
- - org.eclipse.jetty.security.jaspi.callback.CredentialValidationCallback

- All Implemented Interfaces:
    Callback

      public class CredentialValidationCallback
      extends Object
      implements Callback

  CredentialValidationCallback Store a jetty Credential for a user so that it can be validated by jaspi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialValidationCallback(Subject subject, String userName, Credential credential)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clearCredential()`
    `Credential` | `getCredential()`
    `boolean` | `getResult()`
    `Subject` | `getSubject()`
    `String` | `getUsername()`
    `void` | `setResult(boolean result)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CredentialValidationCallback

          public CredentialValidationCallback(Subject subject,
                                      String userName,
                                      Credential credential)

  - ### Method Detail

    - #### getCredential

          public Credential getCredential()

    - #### clearCredential

          public void clearCredential()

    - #### getResult

          public boolean getResult()

    - #### getSubject

          public Subject getSubject()

    - #### getUsername

          public String getUsername()

    - #### setResult

          public void setResult(boolean result)

Copyright © 1995-2013 Mort Bay Consulting. All Rights Reserved.